<script lang="ts">
  import SurveyQuestion from '@components/Survey/SurveyQuestion.svelte';
  import { SurveyQuestionType, type SurveyQuestionEntry } from '@assets/Survey';
  let teamId = "a2cc0a46-1d0e-47a6-bd58-75196894559e"

  let questions: SurveyQuestionEntry[] = [
    {
      group: "test",
      prompt: "Example Prompt [YesNo]",
      type: SurveyQuestionType.YesNo
    },
    {
      group: "test",
      prompt: "Example Prompt [TrueFalse]",
      type: SurveyQuestionType.TrueFalse
    },
    {
      group: "test",
      prompt: "Example Prompt [MultipleChoice]",
      type: SurveyQuestionType.MultipleChoice,
      meta: {
        options: ["thing 1", "thing 2", "thing 3", "thing 4"]
      }
    },
    {
      group: "test",
      prompt: "Example Prompt [MultipleChoiceOther]",
      type: SurveyQuestionType.MultipleChoiceOther,
      meta: {
        options: ["thing 1", "thing 2", "thing 3", "thing 4"]
      }
    },
    {
      group: "test",
      prompt: "Example Prompt [MultipleChoiceMulti]",
      type: SurveyQuestionType.MultipleChoiceMulti,
      meta: {
        options: ["thing 1", "thing 2", "thing 3", "thing 4"]
      }
    },
    {
      group: "test",
      prompt: "Example Prompt [MultipleChoiceMultiOther]",
      type: SurveyQuestionType.MultipleChoiceMultiOther,
      meta: {
        options: ["thing 1", "thing 2", "thing 3", "thing 4"]
      }
    },
    {
      group: "test",
      prompt: "Example Prompt [ShortText]",
      type: SurveyQuestionType.ShortText
    },
    {
      group: "test",
      prompt: "Example Prompt [LongText]",
      type: SurveyQuestionType.LongText
    },
    {
      group: "test",
      prompt: "Example Prompt [SelectTeamMember]",
      type: SurveyQuestionType.SelectTeamMember
    },
    {
      group: "test",
      prompt: "Example Prompt [Scale]",
      type: SurveyQuestionType.Scale,
      meta: {
        scale: { min: 1, max: 5 }
      }
    }
  ]

</script>

<svelte:head><title>Survey</title></svelte:head>

<div class="container">
  <p>View and Manage Surveys</p>

  {#each questions as entry}
    <SurveyQuestion {teamId} bind:entry={entry}/>
    <p>{JSON.stringify(entry.answer)}</p>
  {/each}
</div>
